Gamestarter: Retrogaming add-ons (RPi/Generic)


  • *BUG REPORT*


    I can't get this to work ...


    STEP 1. Downloaded ... script.gamestarter-v2.1.0-OLE.zip (i am running OpenELEC 6.0.3)


    STEP 2. Add-ons ~ Install ZIP


    STEP 3. Gamestarter is running for the 1st Time ~ Message


    STEP 4. Done! now copy your Roms and Bios ~ Message


    Click on "Gamestarter" in Program Add-ons and goes back to STEP 3 ( Gamestarter is running for the 1st Time ) and then STEP 4 ... but will not actually "Launch" the Gamestarter app (have chosen "Retroarch" as the default interface)


    Have tried the following ... Uninstall Old Version, Rebooted after STEP 4 , still goes into a "Install Re-cycle" eg. back to STEP 3


    EDIT : Uninstalled 2.1.0 and re-installed 2.0.4 ... and 2.0.4 works Fine, starts in Retroarch without any problems.

    Edited once, last by Sevren68 ().

  • Sevren68, can you please test this?:
    -install from zip again your OS addon version
    - before launch it exec this ssh command:

    Code
    1. sh /storage/.kodi/addons/script.gamestarter/resources/bin/install.sh


    Paste here the output


    Thanks.


  • here's the output ... looks like there's a problem



    [email protected]'s password:
    ##############################################
    # OpenELEC #
    # OpenELEC Mediacenter - Home #
    ##############################################


    OpenELEC (official) Version: 6.0.3
    OpenELEC:~ # sh /storage/.kodi/addons/script.gamestarter/resources/bin/install.s
    h
    Gamestarter v2
    ::Gamestarter:: -> installing in Open/LibreELEC...
    ::Gamestarter:: -> edit config.txt...
    ::Gamestarter:: -> script permissions...
    ::Gamestarter:: -> copying packages...
    ::Gamestarter:: -> installing advanced launcher...
    ln: /storage/.kodi/userdata/addon_data/plugin.program.advanced.launcher/advancedlauncher: File exists
    Connecting to github.com (192.30.253.112:443)
    Connecting to codeload.github.com (192.30.253.121:443)
    advanced.launcher.ta 100% |************************************************************************************************************| 277k 0:00:00 ETA
    /storage/.kodi/addons/script.gamestarter/resources/bin/install.sh: line 131: syntax error: unexpected "fi"
    [hr]


    EDIT: Decided to try and fix it myself


    Got it working now ...


    1. extracted script.gamestarter-v2.1.0-OLE.zip


    2. opened install.sh using notepad++ and edited/removed fi from Line 131


    3. rezipped and installed


    4. now working

    Edited once, last by Sevren68 ().


  • thanks, I saw that in github yesterday, when I come back home I will fix it.

  • Game related question: "Has anyone tried playing QUAKE ?"


    I have a PS3 controller and the Analog Sticks are behaving like Digital Sticks ie. even i you slightly press "UP" to look up it immediately looks up (at the sky)


    I've tried all the Controller Analog/Digital settings .. mouse speed etc but can't get the Analog sticks to work properly, ie. they are overly sensitive


    would appreciate it if anyone else could test and provide feedback or an answer


    thanks :)

  • thanks, I saw that in github yesterday, when I come back home I will fix it.


    Thanks for reporting this and finding a fix... I was having the exact same problem. My RetroAchievements aren't working, so I'm trying a complete fresh re-install. This bit about running the first time over and over again was driving me bonkers!

  • I posted on GitHub that the playlist for Game Boy didn't work anymore. I then said Nevermind because it was doing it with others as well. Since I've reinstalled everything fresh, the problem should be fixed, but it's not. If I ssh into my Pi and run RetroArch directly, I can see the debug log output. Every time I try to launch a game from ANY playlist, RetroArch crashes with a "segmentation fault." If I load a core first, then load the ROM into it, they play fine. It's as if the playlists aren't set up right. I don't know if I should post this over at the RetroArch forums or not. Since this is using a customized version of RetroArch...


  • I posted on GitHub that the playlist for Game Boy didn't work anymore. I then said Nevermind because it was doing it with others as well. Since I've reinstalled everything fresh, the problem should be fixed, but it's not. If I ssh into my Pi and run RetroArch directly, I can see the debug log output. Every time I try to launch a game from ANY playlist, RetroArch crashes with a "segmentation fault." If I load a core first, then load the ROM into it, they play fine. It's as if the playlists aren't set up right. I don't know if I should post this over at the RetroArch forums or not. Since this is using a customized version of RetroArch...


    I need to replicate this because last time I used a playlist it worked ok...

  • Apologies for this silly question ... it doesent bother me too much, but


    "Emulation Station" launcher does not work in OpenELEC 6.0.3 .... Gamestarter just Crashes and returns to Kodi


    "Retroarch" launcher works fine ... (but is not as "noob friendly" as Emultation Station)


    Sure, ES worked fine when i was using LibreELEC (but it went back to OpenELEC Isengard 15.2 .. because i like running a Skin that's broken in Kodi 16)


    Just wondering ... why ?


    Thanks


  • ES is not officially working in gamestarter under OpeneELEC 6 and previous, just OE7/LE7 and above... but, some rapberry pi user told me a workaround (in spanish)...
    Raspberry Pi • View topic - Gamestarter: addon para retrograming en Kodi


    basically, you have to download the missiing library libstdc++6_6.1.1-1+rpi1_armhf.deb, unzip and paste both files into /storage/lib folder. For this you need the hacklib addon that is installed with GameMaker Pi ports, but you can install it alone from here: GitHub - bite-your-idols/script.hacklib: Toggle on/off additional OpenELEC libs using hacklib script with an addon.


    it is a little tricky, thats why I dont included in addon updates, but I can tell you it works.


    good luck!

  • Thanks for the info


    guess this is too technical for me


    all i know how to use (at a basic level) is PuTTY and WinSCP ... i'm pretty good at following Step-by-Step Instructions


    i would be very grateful and appreciative if you could spare some time to post some instructions ... thanks :)

    Edited once, last by Sevren68 ().

  • I think the easiest way is:
    - Install Gamemaker pi ports from Gamestarter addon settings.
    - Then delete the games (/storage/emulators/roms/ports/) and everything inside /storage/lib and /storage/lib_off folders.
    - Download this zip and uzip it: emulationstation_OE6.7z
    - paste the two files in /storage/lib
    - restart and say your prayers... XD


    Then, emulationstation should work.